<template>
    <div @click="showDetails" :class="{ person: true, center, large }">
        <v-img class="image" :src="data.image"
        :lazy-src="data.lazyImage" aspect-ratio="1"></v-img>
        <div class="person-info">
            <div style="margin:2px; width: 100%;">{{ data.nick }},
                <div :class="{'login-indicator': true, 
                active: data.loggedIn, 'not-active':!data.loggedIn}"></div>
                {{ data.age }} <div class="city">{{ data.city }}</div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    name: 'Person',

    props: {
        data: {
            type: Object,
            required: false
        },

        center: {
            type: Boolean,
            required: false
        },

        large: {
            type: Boolean,
            required: false,
            default: false
        }
    },

    methods: {

        showDetails() {
            this.$router.push({ path: '/personDetails', query: { nick: this.data.nick, menu: this.$route.query.menu} })
        }

    }
}
</script>
<style scoped lang="scss">
.person {

    &.center {
        margin: auto;
    }

    &.large {
        width: 300px;
        height: auto;
    }

    overflow: hidden;
    color: rgba(0, 0, 0, 0.6);

    @media (min-width: 960px) {
        width: 200px;
        height: 250px;
    }

    @media (min-width: 960px) {
        .image {
            transition: all .2s ease-out;
            transform: scale(1);
            filter: grayscale(37%) opacity(92%) saturate(40%);

            &:hover {
                transition: all 1s ease-in;
                transform: scale(1.2);
                filter: none;
            }
        }
    }



    .person-info {
        z-index: 100;
        position: relative;
       // width: 94%;
        padding: 6px;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        padding: 6px;
        background: rgba(255, 255, 255, 1);

        &>* {
            z-index: 1;
            background: white;
            width: 201px;
            transform: translate(-8px, -8px);

        }

        * {
            display: flex;
            flex-direction: row;
        }

        .login-indicator {
            position: relative;
            left: -5px;
            border-radius: 100%;
            background: rgba(0, 200, 0, 0.7);
            height: 9px;
            width: 9px;
            margin: 2px;
            &.active {
                background: rgba(0, 200, 0, 0.7);
            }

            &.not-active {
                background: rgba(100,100,100,.5);
            }

        }
        

        .city {
            margin-left: auto;
            color: rgba(100, 100, 100, 0.8);
            font-size: 13px;
        }
    }
}
</style>
